org.apache.sling.validation.impl.model

## Class ResourcePropertyImpl

- java.lang.Object
- - org.apache.sling.validation.impl.model.ResourcePropertyImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.ResourceProperty

    public class ResourcePropertyImpl
    extends Object
    implements org.apache.sling.validation.model.ResourceProperty

### Constructor Summary

Constructors
`protected` `ResourcePropertyImpl(String name, String nameRegex, boolean isMultiple, boolean isRequired, List<org.apache.sling.validation.model.ValidatorInvocation> validators)` Is only supposed to be used from `ResourcePropertyBuilder`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getName()`
`Pattern` `getNamePattern()`
`List<org.apache.sling.validation.model.ValidatorInvocation>` `getValidatorInvocations()`
`int` `hashCode()`
`boolean` `isMultiple()`
`boolean` `isRequired()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourcePropertyImpl

    protected ResourcePropertyImpl(@Nonnull
                                   String name,
                                   String nameRegex,
                                   boolean isMultiple,
                                   boolean isRequired,
                                   @Nonnull
                                   List<org.apache.sling.validation.model.ValidatorInvocation> validators)
                            throws IllegalArgumentException

Is only supposed to be used from `ResourcePropertyBuilder`.

Parameters:
  `name` -
  `nameRegex` -
  `isMultiple` -
  `isRequired` -
  `validators` -
Throws:
  `IllegalArgumentException`

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.apache.sling.validation.model.ResourceProperty`

#### getNamePattern

    public Pattern getNamePattern()

Specified by:
  `getNamePattern` in interface `org.apache.sling.validation.model.ResourceProperty`

#### isMultiple

    public boolean isMultiple()

Specified by:
  `isMultiple` in interface `org.apache.sling.validation.model.ResourceProperty`

#### isRequired

    public boolean isRequired()

Specified by:
  `isRequired` in interface `org.apache.sling.validation.model.ResourceProperty`

#### getValidatorInvocations

    @Nonnull
    public List<org.apache.sling.validation.model.ValidatorInvocation> getValidatorInvocations()

Specified by:
  `getValidatorInvocations` in interface `org.apache.sling.validation.model.ResourceProperty`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`